include common.makefile

LD_FLAGS = -lm -lrt

all: serial_c serial_static_c serial_f serial_static_f

allinea-profiler.ld:
	@if [ -f ../bin/make-profiler-libraries ]; then ../bin/make-profiler-libraries --lib-type=static; else make-profiler-libraries --lib-type=static; fi > /dev/null

serial_c: serial.c
	$(CC) $(MAP_CFLAGS) -o $@ $< $(LD_FLAGS)

serial_static_c: serial.c allinea-profiler.ld
	$(CC) $(MAP_CFLAGS) -o $@ $< -Wl,@allinea-profiler.ld

serial_f: serial.f90
	$(FC) $(MAP_FCFLAGS) -o $@ $< $(LD_FLAGS)

serial_static_f: serial.f90 allinea-profiler.ld
	$(FC) $(MAP_FCFLAGS) -o $@ $< -Wl,@allinea-profiler.ld

check:
	./serial_f

clean:
	-rm -f serial_f serial_c serial_static_c serial_static_f
	-rm -f allinea-profiler.ld libmap-sampler.a libmap-sampler-pmpi.a
